安装搜狗输入法时出错,无法删除安装包,也无法更新,求助

为当前最终发行版之前的所有版本提供支持
回复
wut0
帖子: 2
注册时间: 2013-03-29 11:30
系统: Ubuntu 12.04 LTS
送出感谢: 0
接收感谢: 0

安装搜狗输入法时出错,无法删除安装包,也无法更新,求助

#1

帖子 wut0 » 2013-03-29 11:35

tong@ubuntu:~$ sudo apt-get install -f
[sudo] password for tong:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
fcitx-skin-sogou
0 upgraded, 0 newly installed, 1 to remove and 1 not upgraded.
1 not fully installed or removed.
After this operation, 77.8 kB disk space will be freed.
Do you want to continue [Y/n]? y
(Reading database ... 282991 files and directories currently installed.)
Removing fcitx-skin-sogou ...
sed: can't read /usr/share/fcitx/configdesc/fcitx-classic-ui.desc: No such file or directory
dpkg: error processing fcitx-skin-sogou (--remove):
subprocess installed post-removal script returned error exit status 2
Errors were encountered while processing:
fcitx-skin-sogou
E: Type 'he' is not known on line 2 in source list /etc/apt/sources.list.d/fcitx-team-nightly-precise.list
E: The list of sources could not be read.
E: Sub-process /usr/bin/dpkg returned an error code (1)
头像
b33e
论坛版主
帖子: 3862
注册时间: 2011-06-07 14:20
系统: Mint18
送出感谢: 16 次
接收感谢: 62 次

Re: 安装搜狗输入法时出错,无法删除安装包,也无法更新,求助

#2

帖子 b33e » 2013-03-29 13:14

你是怎么安装的?
看看这个帖子.

代码: 全选

http://forum.ubuntu.com.cn/viewtopic.php?f=8&t=416790
wut0
帖子: 2
注册时间: 2013-03-29 11:30
系统: Ubuntu 12.04 LTS
送出感谢: 0
接收感谢: 0

Re: 安装搜狗输入法时出错,无法删除安装包,也无法更新,求助

#3

帖子 wut0 » 2013-03-29 13:59

下载玩直接就打开安装了,装完不能用,想卸也卸不掉,一直显示有错误
fengruozhuo
帖子: 11
注册时间: 2009-09-12 16:53
送出感谢: 1 次
接收感谢: 0

Re: 安装搜狗输入法时出错,无法删除安装包,也无法更新,求助

#4

帖子 fengruozhuo » 2013-04-23 13:45

想问下楼主 解决没有 我也遇到这样的问题了 之前错误的使用了64位的包 但是现在想要卸载 也不行了
头像
mraandtux
论坛版主
帖子: 5105
注册时间: 2009-12-12 19:29
系统: Ubuntu + Windows 10
来自: 随便一个地方
送出感谢: 0
接收感谢: 161 次
联系:

Re: 安装搜狗输入法时出错,无法删除安装包,也无法更新,求助

#5

帖子 mraandtux » 2013-04-23 16:26

试试在新立得卸载Fcitx搜狗拼音。
wujinnnnn
帖子: 7
注册时间: 2011-10-21 20:04
送出感谢: 0
接收感谢: 0

Re: 安装搜狗输入法时出错,无法删除安装包,也无法更新,求助

#6

帖子 wujinnnnn » 2013-05-18 10:14

face up the same question

it says sed: can't read /usr/share/fcitx/configdesc/fcitx-classic-ui.desc: No such file or directory

so
sudo touch /usr/share/fcitx/configdesc/fcitx-classic-ui.desc

sudo apt-get remove fcitx-skin-sogou

gang jie jue le zhe ge wen ti
xian zai zheng zai zhuang sogou
ye~
头像
luojie-dune
帖子: 22033
注册时间: 2007-07-30 18:28
系统: Linux
来自: 空气中
送出感谢: 9 次
接收感谢: 61 次

Re: 安装搜狗输入法时出错,无法删除安装包,也无法更新,求助

#7

帖子 luojie-dune » 2013-05-18 11:36

装搜狗干么。。。
『这个世界都是我的 ,我爱你们』

ENTP ⥂ INTP ⥄ INFP ⇦ INTJ

在此发布的文章使用 Creative Commons Attribution-ShareAlike 4.0 协议
nersle
帖子: 1
注册时间: 2013-08-07 13:13
送出感谢: 0
接收感谢: 1 次

Re: 安装搜狗输入法时出错,无法删除安装包,也无法更新,求助

#8

帖子 nersle » 2013-08-07 13:17

我也遇到了这样的问题,解决办法是:
1.先备份status 执行命令:sudo cp /var/lib/dpkg/status /var/lib/dpkg/status.back
2.修改status 执行命令sudo vim /var/lib/dpkg/status
3.在status文件中找到 fcitx-skin-sogou 相关的内容全部删除 ,删除部分如下
---------------------------------------------
Package: fcitx-skin-sogou
Status: deinstall ok half-installed
Priority: extra
Section: graphics
Installed-Size: 76
Maintainer: Li Longyu (Ai Kotoba) <leaeasy@gmail.com>
Architecture: all
Source: fcitx-skins
Version: 0.0.2
Depends: fcitx-ui-classic
Description: sogou skin for fcitx
fcitx skins of sogou
Homepage: http://wwww.linuxdeepin.com

---------------------------------------------
这些用户感谢了作者 nersle 于这个帖子:
hpp10 (2014-04-18 15:47)
评价: 3.7%
hpp10
帖子: 1
注册时间: 2014-03-09 20:38
系统: Ubuntu12.04
送出感谢: 1 次
接收感谢: 0

Re: 安装搜狗输入法时出错,无法删除安装包,也无法更新,求助

#9

帖子 hpp10 » 2014-04-18 15:50

nersle 写了:我也遇到了这样的问题,解决办法是:
1.先备份status 执行命令:sudo cp /var/lib/dpkg/status /var/lib/dpkg/status.back
2.修改status 执行命令sudo vim /var/lib/dpkg/status
3.在status文件中找到 fcitx-skin-sogou 相关的内容全部删除 ,删除部分如下
---------------------------------------------
Package: fcitx-skin-sogou
Status: deinstall ok half-installed
Priority: extra
Section: graphics
Installed-Size: 76
Maintainer: Li Longyu (Ai Kotoba) <leaeasy@gmail.com>
Architecture: all
Source: fcitx-skins
Version: 0.0.2
Depends: fcitx-ui-classic
Description: sogou skin for fcitx
fcitx skins of sogou
Homepage: http://wwww.linuxdeepin.com

---------------------------------------------
good! It works!
回复

回到 “老旧版本支持”